Loading...
Searching...
No Matches
auth_comp128v23.c File Reference

registers COMP128 version 2 and 3 A3/A8 algorithms for the GSM/GPRS/3G authentication core infrastructure. More...

`#include <osmocom/crypt/auth.h>`
`#include <osmocom/gsm/comp128v23.h>`

## Functions

static int | c128v2_gen_vec (struct osmo_auth_vector *vec, struct osmo_sub_auth_data2 *aud, const uint8_t *_rand)
static int | c128v3_gen_vec (struct osmo_auth_vector *vec, struct osmo_sub_auth_data2 *aud, const uint8_t *_rand)
static | __attribute__ ((constructor))

## Variables

static struct osmo_auth_impl | c128v2_alg
static struct osmo_auth_impl | c128v3_alg

## Detailed Description

registers COMP128 version 2 and 3 A3/A8 algorithms for the GSM/GPRS/3G authentication core infrastructure.

## Function Documentation

## __attribute__()

static __attribute__ | ( | (constructor) |  | ) |

static

References __attribute__, c128v2_alg, c128v3_alg, and osmo_auth_register().